> For the complete documentation index, see [llms.txt](https://api.veratad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.veratad.com/testing-1/additional-test-cases.md).

# Test Cases

{% hint style="info" %}
The cases below reveal the information in the test database for each associated test key. So, for example, if you send test key `general_identity` and change the targets first name from Barbara to Steve you will then get a `FAIL - NO MATCH` response.
{% endhint %}

#### General

```javascript
{
      "user": "USERNAME",
      "pass": "PASSWORD",
      "service": "VERATAD SERVICE NAME",
      "reference": "12345 {A UNIQUE ID}",
      "target":{
            "fn":"Barbara",
            "ln": "Miller",
            "addr": "123 Main St",
            "city": "Stratford",
            "state": "CT",
            "zip": "06614",
            "dob": "19740821",
            "ssn": "854125698",
            "phone": "2015106000",
            "email": "bmiller@veratad.com",
            "age": "21+",
            "test_key": "general_identity"
          }
  }
```

{% hint style="info" %}
If you are using a KBA service and need the answers to the `general_identity` questions please click the link below.
{% endhint %}

{% content-ref url="/pages/-MCNLykXQxzMAZRbV-Yc" %}
[Answers to KBA Questions](/testing-1/answers-to-kba-questions.md)
{% endcontent-ref %}

#### Deceased

```javascript
{
    "user": "USERNAME",
    "pass": "PASSWORD",
    "service": "VERATAD SERVICE NAME",
    "reference": "12345 {A UNIQUE ID}",
    "target":{
          "fn":"Abraham",
          "ln": "Lincoln",
          "addr": "1600 Pennsylvania Ave NW",
          "city": "Washington",
          "state": "DC",
          "zip": "20500",
          "dob": "19820212",
          "age": "21+",
          "test_key": "deceased2"
        }
}
```

#### Possible Minor

```javascript
{
	"user": "USERNAME",
	"pass": "PASSWORD",
	"service": "VERATAD SERVICE NAME",	
    "reference": "12345 {A UNIQUE ID}",
    "target":{
          "fn":"Tim",
          "ln": "Hardaway",
          "addr": "5 Broadway",
          "city": "New York",
          "state": "NY",
          "zip": "10458",
          "dob": "19750614",
          "ssn": "123456897",
          "age": "21+",
          "test_key": "pos_minor"
        }
}
```

#### Age Not Verified

```javascript
{
  "user": "USERNAME",
  "pass": "PASSWORD",
  "service": "VERATAD SERVICE NAME",  
    "reference": "12345 {A UNIQUE ID}",
    "target":{
          "fn":"Steve",
          "ln": "Jones",
          "addr": "PO Box 451",
          "city": "New York",
          "state": "NY",
          "zip": "10458",
          "dob": "19900215",
          "ssn": "232145987",
          "age": "21+",
          "test_key": "age_not_verified"
        }
}
```

#### Name on Watch List

```javascript
{
  "user": "USERNAME",
  "pass": "PASSWORD",
  "service": "IDMatchCOMPLY5.1",
  "reference": "12345",
  "target":{
    "fn":  "Osama",
    "ln":  "Bin Laden",
    "addr": "123 Main St",
    "city": "Anytown",
    "state":"TX",
    "zip":  "12345",
    "dob":  "19700213", 
    "ssn":  "123456789",
    "test_key":"name_on_list"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.veratad.com/testing-1/additional-test-cases.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
